Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils.converters
Class URLConverter

    java.lang.Object
      org.apache.commons.beanutils.converters.AbstractConverter
          org.apache.commons.beanutils.converters.URLConverter

All Implemented Interfaces:
  Converter

    public final class URLConverter

extends AbstractConverter

`Converter` implementaion that handles conversion to and from java.net.URL objects.

Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

Since:
  1.3
Version:
  $Revision: 690380 $ $Date: 2008-08-29 21:04:38 +0100 (Fri, 29 Aug 2008) $

Constructor Summary
`URLConverter()` Construct a java.net.URL Converter that throws a `ConversionException` if an error occurs.
`URLConverter(Object defaultValue)` Construct a java.net.URL Converter that returns a default value if an error occurs.

Method Summary
`protected Object` | `convertToType(Class type, Object value)` Convert a java.net.URL or object into a String.
`protected Class` | `getDefaultType()` Return the default type this `Converter` handles.

Methods inherited from class org.apache.commons.beanutils.converters.AbstractConverter
`convert, convertArray, convertToString, getDefault, handleError, handleMissing, isUseDefault, setDefaultValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URLConverter

    public URLConverter()

  Construct a java.net.URL Converter that throws a `ConversionException` if an error occurs.

### URLConverter

    public URLConverter(Object defaultValue)

  Construct a java.net.URL Converter that returns a default value if an error occurs.

  Parameters:
    `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

Method Detail

### getDefaultType

    protected Class getDefaultType()

  Return the default type this `Converter` handles.

  Specified by:
    `getDefaultType` in class `AbstractConverter`
  Returns:
    The default type this `Converter` handles.
  Since:
    1.8.0

### convertToType

    protected Object convertToType(Class type,
                                   Object value)
                            throws Throwable

  Convert a java.net.URL or object into a String.

  Specified by:
    `convertToType` in class `AbstractConverter`
  Parameters:
    `type` - Data type to which this value should be converted.
    `value` - The input value to be converted.
  Returns:
    The converted value.
  Throws:
    `Throwable` - if an error occurs converting to the specified type
  Since:
    1.8.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 The Apache Software Foundation. All Rights Reserved.